# PODNAME: Config::Model::models::Xorg::ServerFlags
# ABSTRACT:  Configuration class Xorg::ServerFlags
=encoding utf8

=head1 NAME

Config::Model::models::Xorg::ServerFlags - Configuration class Xorg::ServerFlags

=head1 VERSION

version 1.111

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

=head1 Elements

=head2 DefaultServerLayout

This specifies the default ServerLayout section to use in the absence of the layout command line option. I<< Optional. Type reference.  >> 

=head2 NoTrapSignals

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 DontVTSwitch

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 DontZap

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 DontZoom

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 DisableVidModeExtension

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 AllowNonLocalXvidtune

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 DisableModInDev

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 AllowMouseOpenFail

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 VTSysReq

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 XkbDisable

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 NoPM

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 Xinerama

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 AllowDeactivateGrabs

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 AllowClosedownGrabs

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 IgnoreABI

This disables the parts of the Xorg-Misc extension that can be used to modify the input device settings dynamically. Default: that functionality is enabled. I<< Optional. Type boolean. upstream_default: '0'.  >> 

=head2 VTInit

Runs command after the VT used by the server has been opened. The command string is passed to "/bin/sh -c", and is run with the real user's id with stdin and stdout set to the VT. The purpose of this option is to allow system dependent VT initialisation commands to be run. This option should rarely be needed. Default: not set. I<< Optional. Type uniline.  >> 

=head2 BlankTime

sets the inactivity timeout for the blank phase of the screensaver. time is in minutes. This is equivalent to the Xorg server's -s flag, and the value can be changed at run-time with xset(1). Default: 10 minutes. I<< Optional. Type integer. upstream_default: '10'.  >> 

=head2 StandbyTime

sets the inactivity timeout for the standby phase of DPMS mode. time is in minutes, and the value can be changed at run-time with xset(1). Default: 20 minutes. This is only suitable for VESA DPMS compatible monitors, and may not be supported by all video drivers. It is only enabled for screens that have the "DPMS" option set (see the MONITOR section below). I<< Optional. Type integer. upstream_default: '20'.  >> 

=head2 SuspendTime

sets the inactivity timeout for the suspend phase of DPMS mode. time is in minutes, and the value can be changed at run-time with xset(1). Default: 30 minutes. This is only suitable for VESA DPMS compatible monitors, and may not be supported by all video drivers. It is only enabled for screens that have the "DPMS" option set (see the MONITOR section below). I<< Optional. Type integer. upstream_default: '30'.  >> 

=head2 OffTime

sets the inactivity timeout for the off phase of DPMS mode. time is in minutes, and the value can be changed at run-time with xset(1). Default: 40 minutes. This is only suitable for VESA DPMS compatible monitors, and may not be supported by all video drivers. It is only enabled for screens that have the "DPMS" option set (see the MONITOR section below). I<< Optional. Type integer. upstream_default: '40'.  >> 

=head2 Pixmap

This sets the pixmap format to use for depth 24. Allowed values for bpp are 24 and 32. Default: 32 unless driver constraints don't allow this (which is rare). Note: some clients don't behave well when this value is set to 24. I<< Optional. Type enum. choice: '24', '32'. upstream_default: '32'.  >> 

=head2 PC98

Specify that the machine is a Japanese PC-98 machine. This should not be enabled for anything other than the Japanese-specific PC-98 architecture. Default: auto-detected. I<< Optional. Type boolean.  >> 

=head2 HandleSpecialKeys

This option controls when the server uses the builtin handler to process special key combinations (such as Ctrl+Alt+Backspace). Normally the XKEYBOARD extension keymaps will provide mappings for each of the special key combinations, so the builtin handler is not needed unless the XKEYBOARD extension is disabled. The value of when can be Always, Never, or WhenNeeded. Default: Use the builtin handler only if needed. The server will scan the keymap for a mapping to the Terminate action and, if found, use XKEYBOARD for processing actions, otherwise the builtin handler will be used. I<< Optional. Type enum. choice: 'Always', 'Never', 'WhenNeeded'. upstream_default: 'WhenNeeded'.  >> 

=head2 AIGLX

enable or disable AIGLX. I<< Optional. Type enum. choice: 'off', 'on'. upstream_default: 'on'.  >> 

=head2 UseDefaultFontPath

Include the default font path even if other paths are specified in xorg.conf. If enabled, other font paths are included as well. I<< Optional. Type enum. choice: 'off', 'on'. upstream_default: 'on'.  >> 

=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut
